/*
 * Class TYPE [TYPED_POINTER [INTEGER_16]]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_786 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_786 [] = {0xFF01,237,785,783,209,0xFFFF};
static const EIF_TYPE_INDEX egt_2_786 [] = {0xFF01,785,783,209,0xFFFF};
static const EIF_TYPE_INDEX egt_3_786 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_786 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_786 [] = {0xFF01,785,783,209,0xFFFF};
static const EIF_TYPE_INDEX egt_6_786 [] = {0xFF01,785,783,209,0xFFFF};
static const EIF_TYPE_INDEX egt_7_786 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_786 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_786 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_786 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_786 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_786 [] = {785,783,209,0xFFFF};
static const EIF_TYPE_INDEX egt_13_786 [] = {0xFF01,785,783,209,0xFFFF};
static const EIF_TYPE_INDEX egt_14_786 [] = {0xFF01,228,0xFFFF};
static const EIF_TYPE_INDEX egt_15_786 [] = {0xFF01,237,0,0xFFFF};
static const EIF_TYPE_INDEX egt_16_786 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_786 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_786 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_786 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_786 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_786 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_22_786 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_23_786 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_24_786 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_25_786 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_26_786 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_27_786 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_786 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_786[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_786), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_786), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9391, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_786), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_786), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_786), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_786), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_786), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_786), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_786), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_786), 9399, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_786), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_786), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_786), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_786), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 9386, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9392, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9393, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1451, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1449, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_786), 9383, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_786), 9384, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 9385, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 9387, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9388, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9389, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9390, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_786), 9394, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_786), 9395, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_786), 9396, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_786), 9397, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_786), 9398, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_786), 9401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9402, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9403, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_786), 9404, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_786), 9405, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_786), 9406, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_786), 9407, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01C9 /*228*/), 9408, 0},
	{EIF_GENERIC(egt_26_786), 9409, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_786), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_786), 9400, 0xFFFFFFFF},
};
void Init786(void)
{
	IDSC(desc_786, 0, 785);
	IDSC(desc_786 + 1, 1, 785);
	IDSC(desc_786 + 32, 248, 785);
	IDSC(desc_786 + 34, 203, 785);
	IDSC(desc_786 + 38, 11, 785);
	IDSC(desc_786 + 60, 336, 785);
}


#ifdef __cplusplus
}
#endif
